SoulFire LogoSoulFire

Get instance

Gets detailed information about a specific instance. Supports conditional requests via if_modified_since to reduce bandwidth.

GET
/v1/instances/{id}

Gets detailed information about a specific instance. Supports conditional requests via if_modified_since to reduce bandwidth.

Authorization

AuthorizationBearer <token>

Preferred API authentication. Use a JWT with the api audience.

In: header

Path Parameters

id*string

The unique identifier (UUID) of the instance.

Formatuuid

Query Parameters

if_modified_since?|

Optional timestamp for conditional requests. If provided and the instance configuration has not been modified since this timestamp, the server returns InstanceNotModified instead of the full InstanceInfo. This helps reduce bandwidth for polling clients.

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/instances/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "info": {    "friendlyName": "string",    "icon": "string",    "config": {      "settings": [        {          "namespace": "string",          "entries": [            {              "key": "string",              "value": null            }          ]        }      ],      "accounts": [        {          "type": "MICROSOFT_JAVA_CREDENTIALS",          "profileId": "faebe71b-2bf8-4bdb-9b67-258e4d6aa00a",          "lastKnownName": "string",          "onlineChainJavaData": {            "authChain": {}          },          "offlineJavaData": {},          "bedrockData": {            "authChain": {}          },          "onlineSimpleJavaData": {            "accessToken": "string",            "expireTimeMs": "string"          },          "theAlteningJavaData": {            "accountToken": "string",            "accessToken": "string"          },          "config": [            {              "namespace": "string",              "entries": [                {                  "key": "string",                  "value": null                }              ]            }          ],          "persistentMetadata": [            {              "namespace": "string",              "entries": [                {                  "key": "string",                  "value": null                }              ]            }          ]        }      ],      "proxies": [        {          "type": "HTTP",          "address": "string",          "username": "string",          "password": "string"        }      ],      "persistentMetadata": [        {          "namespace": "string",          "entries": [            {              "key": "string",              "value": null            }          ]        }      ]    },    "instancePermissions": [      {        "instancePermission": "INSTANCE_COMMAND_EXECUTION",        "granted": true      }    ],    "settingsDefinitions": [      {        "id": {          "namespace": "string",          "key": "string"        },        "scope": "SERVER",        "string": {          "uiName": "string",          "description": "string",          "def": "string",          "inputType": "TEXT",          "placeholder": "string",          "minLength": 0,          "maxLength": 0,          "pattern": "string",          "disabled": true        },        "int": {          "uiName": "string",          "description": "string",          "def": 0,          "min": 0,          "max": 0,          "step": 0,          "placeholder": "string",          "thousandSeparator": true,          "disabled": true        },        "double": {          "uiName": "string",          "description": "string",          "def": 0.1,          "min": 0.1,          "max": 0.1,          "step": 0.1,          "placeholder": "string",          "thousandSeparator": true,          "decimalScale": 0,          "fixedDecimalScale": true,          "disabled": true        },        "bool": {          "uiName": "string",          "description": "string",          "def": true,          "disabled": true        },        "combo": {          "uiName": "string",          "description": "string",          "options": [            {              "id": "string",              "displayName": "string",              "iconId": "string",              "keywords": [                "string"              ]            }          ],          "def": "string",          "disabled": true        },        "stringList": {          "uiName": "string",          "description": "string",          "def": [            "string"          ],          "disabled": true        },        "minMax": {          "min": 0,          "max": 0,          "step": 0,          "thousandSeparator": true,          "minEntry": {            "uiName": "string",            "description": "string",            "def": 0,            "placeholder": "string"          },          "maxEntry": {            "uiName": "string",            "description": "string",            "def": 0,            "placeholder": "string"          },          "disabled": true        }      }    ],    "instanceSettings": [      {        "id": "string",        "owningPluginId": "string",        "pageName": "string",        "entries": [          {            "namespace": "string",            "key": "string"          }        ],        "iconId": "string",        "enabledIdentifier": {          "namespace": "string",          "key": "string"        }      }    ],    "plugins": [      {        "id": "string",        "version": "string",        "description": "string",        "author": "string",        "license": "string",        "website": "http://example.com"      }    ],    "lastModified": "2019-08-24T14:15:22Z",    "botSummary": {      "totalBots": 0,      "desiredBots": 0,      "onlineBots": 0,      "startingBots": 0,      "retryingBots": 0,      "failedBots": 0    }  },  "notModified": {    "lastModified": "2019-08-24T14:15:22Z"  }}

How is this page?